--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns the scanflags associated with the specified scan <tt>type</tt> (e.g. &quot;PSHACK&quot; for type &quot;ack&quot;)
full_name: Nmap::Parser::Session#scanflags
is_singleton: false
name: scanflags
params: (type)
visibility: public
